/* eslint-disable @typescript-eslint/no-unused-vars */
import { IonLabel, IonSegment, IonSegmentButton } from "@ionic/react";
import { useEffect, useState } from "react";
import { LoginWithOTP } from "../LoginWithOTP";
import { LoginWithPassword } from "../LoginWithPassword";
var LoginMethod;

(function (LoginMethod) {
  LoginMethod["password"] = "password";
  LoginMethod["otp"] = "otp";
})(LoginMethod || (LoginMethod = {}));

export const LoginTabs = ({
  disablePasswordLogin,
  disableOTPLogin,
  ...props
}) => {
  const [method, setMethod] = useState(LoginMethod.password);
  useEffect(() => {
    if (disablePasswordLogin && !disableOTPLogin) setMethod(LoginMethod.otp);
    if (disableOTPLogin && !disablePasswordLogin) setMethod(LoginMethod.password);
    if (disableOTPLogin && disablePasswordLogin) setMethod(undefined);
  }, [disableOTPLogin, disablePasswordLogin]);
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(IonSegment, {
    value: method,
    onIonChange: e => setMethod(e.detail.value),
    selectOnFocus: true
  }, /*#__PURE__*/React.createElement(IonSegmentButton, {
    value: LoginMethod.password,
    hidden: disablePasswordLogin
  }, /*#__PURE__*/React.createElement(IonLabel, null, "Login with Password")), /*#__PURE__*/React.createElement(IonSegmentButton, {
    value: LoginMethod.otp,
    hidden: disableOTPLogin
  }, /*#__PURE__*/React.createElement(IonLabel, null, "Login with OTP"))), /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex',
      justifyContent: 'center',
      marginTop: '20px'
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: "30%"
    }
  }, method === LoginMethod.password && /*#__PURE__*/React.createElement(LoginWithPassword, props), method === LoginMethod.otp && /*#__PURE__*/React.createElement(LoginWithOTP, props))));
};